#ifndef CW_H_
#define CW_H_

/* envelope shapes - ramp functions (0, 1) -> (0, 1) */
typedef double rampfun_t(double);
rampfun_t ramp_lin, ramp_sqr, ramp_sin, ramp_icos, ramp_exp;

void cwinit(void);
void cwstart(void);
void cwstop(void);
void beep(int, int);
void silence(int);

/* getenv helpers */
int getenvnum(const char *, const char *, int *);
rampfun_t *getenvshape(const char *, rampfun_t **);

#endif /* CW_H_ */
